package com.isu.gaswellwatch.dto;

import com.isu.gaswellwatch.vo.RoleVO;
import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.NotNull;
import jakarta.validation.constraints.Pattern;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class UserEditDTO {
    @NotNull(message = "id不能为空")
    private Long id;
    //账户
    @NotBlank(message = "账号不能为空")
    @Pattern(regexp = "^(.*[a-zA-Z].*)\\d*$", message = "输入必须为纯字母或字母数字组合")
    private String username;
    //昵称
    @NotBlank(message = "使用者不能为空")
    private String nickname;
    //手机号
    private String phone;
    //是否启用
    private String isEnable;
    @NotNull(message = "角色不能为空")
    private List<RoleVO> roles;

    //部门ID
    private Long departmentId;

}
